package com.yeejoin.amos.supervision.business.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class CheckInfoVo {
	
	private String id;
	private String orgCode;
	private String pointId;	
	@Excel(name = "点名称", orderNum = "0")
	private String pointName;
	@Excel(name = "点编号", orderNum = "1")
	private String pointNo;
	private String userId;
	private String depId;
	@Excel(name = "维保人员", orderNum = "2")
	private String userName;
	@Excel(name = "维保部门", orderNum = "3")
	private String departmentName;
	@Excel(name = "维保时间", orderNum = "4")
	private String checkTime;
	@Excel(name = "上报时间", orderNum = "5")
	private String uploadTime;
	@Excel(name = "执行情况", replace = {"计划外完成_0", "按时完成_1", "未执行_2"}, orderNum = "6")
	private String finishStatus;
	/**
	 * 是否合格 0-合格 1-不合格
	 */
	@Excel(name = "是否合格", replace = {"合格_1", "不合格_2", "漏检_3"}, orderNum = "7")
	private String isOk;
	@Excel(name = "评分", orderNum = "8")
	private String score;
	@Excel(name = "维保路线", orderNum = "9")
	private String routeName;
	@Excel(name = "维保模式", orderNum = "10")
	private String checkMode;
	@Excel(name = "计划名称", orderNum = "11")
	private String planName;
	@Excel(name = "任务编号", orderNum = "12")
	private String planTaskId;
	private String CatalogId;
	@Excel(name = "不合格项目", orderNum = "13")
	private String error;
	@Excel(name = "备注说明", orderNum = "14")
	private String remark;

	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	public String getDepId() {
		return depId;
	}

	public void setDepId(String depId) {
		this.depId = depId;
	}

	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public String getPointId() {
		return pointId;
	}
	public void setPointId(String pointId) {
		this.pointId = pointId;
	}
	public String getPointName() {
		return pointName;
	}
	public void setPointName(String pointName) {
		this.pointName = pointName;
	}
	public String getPointNo() {
		return pointNo;
	}
	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getCheckTime() {
		return checkTime;
	}
	public void setCheckTime(String checkTime) {
		this.checkTime = checkTime;
	}
	public String getUploadTime() {
		return uploadTime;
	}
	public void setUploadTime(String uploadTime) {
		this.uploadTime = uploadTime;
	}
	public String getFinishStatus() {
		return finishStatus;
	}
	public void setFinishStatus(String finishStatus) {
		this.finishStatus = finishStatus;
	}
	public String getIsOk() {
		return isOk;
	}
	public void setIsOk(String isOk) {
		this.isOk = isOk;
	}
	public String getScore() {
		return score;
	}
	public void setScore(String score) {
		this.score = score;
	}
	public String getRouteName() {
		return routeName;
	}
	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}
	public String getCheckMode() {
		return checkMode;
	}
	public void setCheckMode(String checkMode) {
		this.checkMode = checkMode;
	}
	public String getPlanName() {
		return planName;
	}
	public void setPlanName(String planName) {
		this.planName = planName;
	}
	public String getPlanTaskId() {
		return planTaskId;
	}
	public void setPlanTaskId(String planTaskId) {
		this.planTaskId = planTaskId;
	}
	public String getError() {
		return error;
	}
	public void setError(String error) {
		this.error = error;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getCatalogId() {
		return CatalogId;
	}
	public void setCatalogId(String catalogId) {
		CatalogId = catalogId;
	}

}
